<%  first=true;
    String link = (isMediaFile(fileName))? "slides/" + label + engine.getPageExtension() : closeupPath;

    if(newLabel)
      out.print("<script type=\"text/javascript\">generatenew(" + fileDate.getTime() / 86400000L + ");</script>&nbsp;");

    if(ttNumber) { 
      if(first) first=false; else out.print("<br>"); out.print("<A href=\"" + link + "\">" + imageNum + "</A>"); }

    if(ttComment)  {
      if(comment!=void && comment!=null && comment.length() > 0) { 
        if(first) first=false; else out.print("<br>"); 
        out.print("<A href=\"" + link + "\">");
        if(ttAbbreviateComment && (ttAbbreviateCommentLength > 3) && (comment.length() > ttAbbreviateCommentLength)) {
          if((i = comment.lastIndexOf(" ", ttAbbreviateCommentLength - 3)) > 0)
            out.print(comment.substring(0, i));
          else
            out.print(comment.substring(0, ttAbbreviateCommentLength - 3));
          out.print("...");
        }
        else
          out.print(comment);
        out.print("</A>");
      }
      else { if(ttUseLabelIfNoComment && !ttLabel && !ttFileName) { 
        if(first) first=false; else out.print("<br>"); out.print("<A HREF=\"" + link + "\">" + label.replace('_',' ') + "</A>"); }}
    }

    if(ttLabel) { 
      if(first) first=false; else out.print("<br>"); 
      out.print("<strong><A href=\"" + link + "\">" + label.replace('_',' ') + "</A></strong>"); }

    if(ttFileName) { 
      if(first) first=false; else out.print("<br>"); 
      out.print("<strong><A href=\"" + link + "\">" + fileName + "</A></strong>"); }

    if(ttDate) { 
      if(first) first=false; else out.print("<br>");
      out.print((originalDate != void)? originalDate : fileDate); }

    if(ttSize) { 
      if(first) first=false; else out.print("<br>"); 
      if(isMediaFile(closeupPath) == false) out.print(originalWidth + "x" + originalHeight + " ");
      out.print("(" + fileSize/1024 + "kB)"); } 

    if((isMediaFile(closeupPath) == false && iconPath == void) && printing.equals("photobox") && photoBoxID != void) { 
      if(!first) out.print("<br>");
      out.println("$text.order&nbsp;");
      out.print("<script type=\"text/javascript\">buy(\'");
      if(originalPath == void) out.print(convertApostrophe("$imagePath")); else out.print(convertApostrophe("$originalPath"));
      out.println("\',\'checkbox\');</script>");
      if((originalPath == void) && ((imageWidth > imageHeight)? (imageWidth < 800):(imageHeight < 800)) || ((originalWidth > originalHeight)? (originalWidth < 800):(originalHeight < 800)))
        out.println("<img src=\"$resPath/danger.gif\" alt=\"\" width=\"13\" height=\"13\" border=\"0\" align=\"absmiddle\" title=\"$text.resolutionWarning\">");
    }

    if(!first) out.print("<br>&nbsp;");
%>
